# Logs (CSV)

```
GET 
/keys/:key/lookups
```

Reports lookup information on a key for paid lookups.

This method requires a `user_token`, which can be found on your [accounts page](https://ideal-postcodes.co.uk/account).

A maximum interval of 90 days can be provided for analysis. If no start or end date is provided, the last 21 days will be used as the default interval.

## Download Usage History (CSV)[​](#download-usage-history-csv "Direct link to Download Usage History (CSV)")

`GET /keys/:key/lookups`

Returns a CSV download of lookups performed and associated information.

Note that the Content-Type returned will be CSV (text/csv). For a non 200 response, the `Content-Type` will revert to JSON with the error code and message embedded.

## Data Redaction[​](#data-redaction "Direct link to Data Redaction")

Personally Identifiable Data (PII) caught in this your usage log (including IP, search term and URL data) will be redacted on a weekly basis.

By default, PII will be redacted if it is older than 21 days. This timeframe can be configured from your dashboard.

You may prevent PII collection altogether by setting the interval to `0` days.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400

Success

Bad Request
